<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 24/7/2018
 * Time: 8:42 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['token']) && isset($_REQUEST['tipo_aumento']) && isset($_REQUEST['cantidad'])) {
            $tipo = $_REQUEST['tipo_aumento'];
            $cantidad = $_REQUEST['cantidad'];
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominioData = $Valido->retornarDatos($creadoPor);
            $condominio = $condominioData["condominio_id"];
            if ($tipo==1){
                R::exec( 'update propiedad set couta_mantenimiento=couta_mantenimiento+couta_mantenimiento*'.($cantidad/100).'  where id_condominio='.$condominio );
            }elseif ($tipo==2){
                R::exec( 'update propiedad set couta_mantenimiento='.$cantidad.'  where id_condominio='.$condominio );
            }elseif ($tipo==3){
                R::exec( 'update propiedad set couta_mantenimiento=couta_mantenimiento+'.$cantidad.'  where id_condominio='.$condominio );
            }
            include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}